LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XAccessibleTableSelection Interface Reference

`import"XAccessibleTableSelection.idl";`

Inheritance diagram for XAccessibleTableSelection:

## Public Member Functions
boolean | selectRow ([in] long row) raises (::com::sun::star::lang::IndexOutOfBoundsException)
boolean | unselectRow ([in] long row) raises (::com::sun::star::lang::IndexOutOfBoundsException)
boolean | selectColumn ([in] long column) raises (::com::sun::star::lang::IndexOutOfBoundsException)
boolean | unselectColumn ([in] long column) raises (::com::sun::star::lang::IndexOutOfBoundsException)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Member Function Documentation

## ◆ selectColumn()

boolean selectColumn | ( | [in] long | column | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

## ◆ selectRow()

boolean selectRow | ( | [in] long | row | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

## ◆ unselectColumn()

boolean unselectColumn | ( | [in] long | column | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

## ◆ unselectRow()

boolean unselectRow | ( | [in] long | row | ) |
raises | ( | ::com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/accessibility/XAccessibleTableSelection.idl